#2450 closed enhancement (fixed)

Remove arm/nds

Reported by: Joel Sherrill Owned by: Aun-Ali Zaidi <admin@…>
Priority: normal Milestone: 5.1
Component: arch/arm Version: 4.11
Severity: normal Keywords: obsolete, BSP
Cc: Blocked By:
Blocking:

Description

Remove the arm/nds BSP per the instructions at ​​​https://devel.rtems.org/wiki/Developer/Removing_a_BSP

Rationale: This BSP is for very old Nintendo hardware and required the use of either a simulator or hard to obtain programmable game cartridge. Nintendo was aggressive in shutting down resellers of those cartridges. There is no real console input and it is hard to automate testing. This was a useful BSP when there were few ARM BSPs but with the Pi, Beagle, etc. these days are long past.

Change History (6)

comment:1 Changed on Nov 3, 2015 at 7:28:15 PM by Joel Sherrill

Keywords: obsolete BSP added

comment:2 Changed on Dec 11, 2015 at 2:20:52 PM by Aun-Ali Zaidi <admin@…>

comment:3 Changed on Dec 11, 2015 at 2:21:55 PM by Aun-Ali Zaidi <admin@…>

Owner: set to Aun-Ali Zaidi <admin@…>
Resolution: fixed
Status: newclosed

In 7cbd67b90b5aa4e4967b1a59f3ecd9f6e13e657f/rtems-testing:

rtems/bit_all_bsps: Remove nds reference

closes #2450.

comment:4 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:5 Changed on Oct 10, 2017 at 6:55:49 AM by Sebastian Huber

Component: bspsarch/arm

comment:6 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.